Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_query

## Name

librdf_model_query -- Run a query against the model returning matching statements

## Synopsis

``librdf_stream* `librdf_model_query`` (librdf_model* `model`, librdf_query* `query`);`

## Arguments

`model`

  librdf_model object

`query`

  librdf_query object

## Description

Run the given query against the model and return a librdf_stream of matching librdf_statement objects

## Return value

librdf_stream of matching statements (may be empty) or NULL on failure

<<< Previous | Home | Next >>>
librdf_model_context_serialize | Up | librdf_model_query_string